package com.gic.auth.dao.mapper;

import com.gic.auth.entity.TabSysResourceGroup;
/**
 * 资源组
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/8 4:44 PM 
 */
public interface TabSysResourceGroupMapper {

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysResourceGroup record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysResourceGroup record);

    /**
     * 根据主键查询
     *
     * @param resourceGroupId 主键
     * @return 实体对象
     */
    TabSysResourceGroup selectByPrimaryKey(Integer resourceGroupId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysResourceGroup record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysResourceGroup record);
}